Page MenuHomePhabricator

Use the word "edit" in the captions panel on File page rather than the pen icon
Closed, ResolvedPublic

Description

Use the word "edit" in the captions panel rather than the pen icon

Related: T215308: Use the word "edit" in the depicts panel, rather than the pencil icon

(note - I put this in 'crawling' because it's pretty much the same as T215308, and it'd be silly not to do them both)

Related Objects

Event Timeline

Ramsey-WMF renamed this task from Use the word "edit" in the capgtions panel rather than the pen icon to Use the word "edit" in the captions panel rather than the pen icon.Feb 5 2019, 5:46 PM
Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.Feb 5 2019, 9:31 PM
Cparle renamed this task from Use the word "edit" in the captions panel rather than the pen icon to Use the word "edit" in the captions panel on File page rather than the pen icon.Feb 7 2019, 11:47 AM
Cparle updated the task description. (Show Details)

@PDrouin-WMF, @Ramsey-WMF (and anyone else who would like to weigh in):

For these buttons, do we want the word "Edit" only, or should we use the same text as the button label property that the user sees on hover, etc? That text is "Edit depicts" and "Edit captions" currently.

I made the assumption that you wanted the latter, but @matthiasmullie pointed out that this might not be the case.

Here's what those buttons look like in English and French with the longer "Edit whatever" text:

It sounds like if we decide to just say "edit" here, the longer/more descriptive label should remain and a new i18n message should be created that just says edit or its equivalent in the current language.

Let me know what you think and I can revise this patch today.

I think just "edit" is best, mainly because getting the sentence/phrase structure right for thisLanguageEditphrase+$label is tricky (for some languages the order may be shifted ($label+thisLanguageEditphrase).

In other words, let's KISS it :)

Change 491871 had a related patch set uploaded (by Eric Gardner; owner: Eric Gardner):
[mediawiki/extensions/WikibaseMediaInfo@master] Use a text label for UI panel buttons instead of pencil icon

https://gerrit.wikimedia.org/r/491871

Yep, agree with Ramsey to keep it to "Edit" for simplicity's sake. It also keeps it in line with how it's generally used across the wikiverse.

Just updated this patch to reflect that, should be ready for review.

Change 491871 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Use a text label for UI panel buttons instead of pencil icon

https://gerrit.wikimedia.org/r/491871

Ramsey-WMF closed this task as Resolved.Mar 13 2019, 7:04 PM

This one (for captions) is on production and working fine. The other ticket for depicts remains open until we launch that.